import os
from dotenv import load_dotenv
import markdown
import package.translate_article as ta
import ../openai/open_ai as oa

# .env 파일에서 API 키 로드
load_dotenv(r'./.env.dev')

# 예시 기사 텍스트 (text 파싱 결과로 제공된 텍스트를 사용할 수 있습니다)
article_text = ta.getContents()

# 블로그 스타일 참고 텍스트
style_reference = os.getenv("reference_style")

# 블로그 포스트 생성
blog_post = oa.generate_blog_post(article_text, style_reference)

# 결과 출력
print(blog_post)
    
# Markdown 텍스트 예시
markdown_text = blog_post

# Markdown을 HTML로 변환
html = markdown.markdown(markdown_text)

# 결과 출력
print("Converted HTML:")
print(html)