import mysql.connector
import os


# MariaDB에 연결하는 함수
def fetch_data_from_mariadb():
    try:
        # 데이터베이스 연결
        connection = mysql.connector.connect(
            host=host,
            user=user,
            password=password,
            database=database
        )
        
        # 커서 생성
        cursor = connection.cursor(dictionary=True)
        
        # 쿼리 실행
        query = "SELECT * FROM healty_url_source ORDER BY idx DESC LIMIT 1;"
        cursor.execute(query)
        
        # 결과 가져오기
        result = cursor.fetchone()
        return result
    
    except mysql.connector.Error as err:
        print(f"Error: {err}")
    finally:
        if connection.is_connected():
            cursor.close()
            connection.close()

if __name__ == "__main__":
    # 결과 확인
    data = fetch_data_from_mariadb()
    print(data['url'])

